<ion-content padding class="background" [fullscreen]="true">
  <div class="log">
    <ion-card>
      <ion-card-header>
        <ion-card-title class="title"><b>e-balita</b></ion-card-title>
      </ion-card-header>

  <form class="form" [formGroup]="userForm" (ngSubmit)="signIn(userForm.value)">
    <ion-item>
      <ion-label position="floating">Email</ion-label>
      <ion-input type="text" formControlName="email"></ion-input>
    </ion-item>
    
    <ng-container *ngFor="let error of error_msg.email">
      <div *ngIf="userForm.get('email').hasError(error.type) && (userForm.get('email').dirty || userForm.get('email').touched)">
        {{ error.message }}
      </div>
    </ng-container>

    <ion-item>
      <ion-label position="floating" color="primary">Password</ion-label>
      <ion-input type="password" formControlName="password" class="form-controll" required></ion-input>
    </ion-item>
    
    <ng-container *ngFor="let error of error_msg.password">
        <div *ngIf="userForm.get('password').hasError(error.type) && (userForm.get('password').dirty || userForm.get('password').touched)">
          {{ error.message }}
        </div>
    </ng-container>

    <ion-button type="submit" expand="block" [disabled]="!userForm.valid">Signin</ion-button>
    
    <label class="ion-text-center" color="danger">{{errorMsg}}</label>
  </form>
  <p class="ion-text-center">Not registered yet? <a (click)="goToSignup()">Register</a></p>
</ion-card>

</div>
</ion-content>